# Get Query Pipeline Version Visualization

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Query Pipeline Version Visualization"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/pipelines/{pipeline_name}/versions/{version_id}/visualization"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Get Query Pipeline Version Visualization

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"The name of the pipeline you want to fetch.","in":"path","name":"pipeline_name","required":true,"schema":{"description":"The name of the pipeline you want to fetch.","title":"Pipeline Name","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}},{"description":"The ID of the pipeline version.","in":"path","name":"version_id","required":true,"schema":{"description":"The ID of the pipeline version.","format":"uuid","title":"Version ID","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"components":{"additionalProperties":{"properties":{"position":{"description":"Position of the component.","title":"Component Position","properties":{"x":{"description":"X-coordinate of the component.","title":"X-coordinate","type":"integer"},"y":{"description":"Y-coordinate of the component.","title":"Y-coordinate","type":"integer"}},"required":["x","y"],"type":"object"}},"required":["position"],"title":"ComponentVisualizationMetadata","type":"object"},"description":"Component names and their visualizations.","title":"Components","type":"object"},"groups":{"default":[],"description":"Group names and their properties.","items":{"properties":{"children":{"description":"List of component names that belong to this group.","items":{"type":"string"},"title":"Children","type":"array"},"collapsed":{"description":"Whether the group is collapsed in the visualization.","title":"Collapsed","type":"boolean"},"color":{"description":"Color of the group","title":"Color","type":"string"},"height":{"description":"Height of the group.","title":"Height","type":"integer"},"id":{"description":"Unique identifier for the group.","title":"Group ID","type":"string"},"label":{"description":"Display label for the group.","title":"Group Label","type":"string"},"width":{"description":"Width of the group.","title":"Width","type":"integer"},"x":{"description":"X-coordinate of the group's top-left corner.","title":"X-coordinate","type":"integer"},"y":{"description":"Y-coordinate of the group's top-left corner.","title":"Y-coordinate","type":"integer"}},"required":["id","label","x","y","width","height","color","children","collapsed"],"title":"GroupVisualizationMetadata","type":"object"},"title":"Groups","type":"array"}},"required":["components"],"title":"PipelineVisualizationMetadata","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
